%define debug_package %{nil}

Name:		bacula-docs
Version:	5.0.3
Release:	19%{?dist}
Summary:	Bacula documentation
Group:		Documentation

License:	GPLv2 with exceptions
URL:		http://www.bacula.org
Source0:	http://www.bacula.org/downloads/Bacula-%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	tetex-latex, tetex, ghostscript, bacula-devel = %{version}

%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
BuildRequires:	dvipdfm
%endif

%if 0%{?fedora} >= 9 || 0%{?rhel} >= 5
BuildRequires:	latex2html
%endif

Provides:       bacula-docs = %{version}-%{release}
Obsoletes:      bacula-docs < 5.0.3-19


%description
Bacula is a set of programs that allow you to manage the backup,
recovery, and verification of computer data across a network of
different computers. It is based on a client/server architecture.

This package contains the documentation for most of the bacula-packages.


%prep
%setup -q

%build
%configure --with-bacula=%{_includedir}/bacula
# SMP flags break building
%{__make}

for manual in problems console utility developers main misc; do
	mkdir $manual
	cp -f manuals/en/$manual/$manual/*.{css,html,png} $manual
	cp -f manuals/en/$manual/$manual.pdf .
done


%install


%files
%defattr(-,root,root,-)
%doc problems.pdf problems console.pdf console
%doc utility.pdf utility developers.pdf developers
%doc main.pdf main misc.pdf misc


%changelog
* Thu Jan 05 2012 Simone Caronni <negativo17@gmail.com> - 5.0.3-19
- First build.
- Make the noarch package update the architecture specific one.
